Bug 18746 - Text_CSV_Various.t parse failure
Summary: Text_CSV_Various.t parse failure
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-07 15:51 UTC by Lee Jamison
Modified: 2017-07-31 11:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18746: Text_CSV_Various parse failures (3.30 KB, patch)
2017-06-07 22:21 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18746: Text_CSV_Various parse failures (3.40 KB, patch)
2017-06-08 16:13 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 18746: Text_CSV_Various parse failures (3.48 KB, patch)
2017-06-09 13:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18746: Add license and remove diag (2.09 KB, patch)
2017-06-09 13:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lee Jamison 2017-06-07 15:51:43 UTC
Unit Test command 'prove -v xt/author/Text_CSV_Various.t' fails even with prerequisite modules installed

According to the Koha Wiki signoff documentation, in order for 'prove xt/' to pass, the following modules must be installed:

Test::Pod;
Test::Pod::Spelling
Text::CSV::Unicode

however, even with these modules installed, running the prove command on Text_CSV_Various.t exits with the following outputs:


not ok 10 - parse (Text::CSV)
not ok 13 - parse (Text::CSV::Unicode)
not ok 16 - parse (Text::CSV_XS)
not ok 19 - parse (Text::CSV)
not ok 22 - parse (Text::CSV::Unicode)
not ok 25 - parse (Text::CSV_XS)
ok 26 - parse (Text::CSV_XS (binary))
ok 27 - Number of fields (6 of 6)
    field 1: field1
    field 2: second field
    field 3: field3
    field 4: do_we_have_a_e_problem? (the _e_ appears to have a dot over it which appears - after researching - to be the 9th letter of the Lithuanian alphabet)
    field 5:  f!fth field
    field 6: lastfield

# For each of the above "not ok" and "ok" failures, it prints the following message:
Failed test 'parse (Module::Name)'
at xt/author/Text_CSV_Various.t line 57.
Wide character in print at xt/author/Text_CSV_Various.t line 63.
Comment 1 Jonathan Druart 2017-06-07 16:12:29 UTC
It seems that the failures are expected.
I'd suggest to remove this file.
Comment 2 M. Tompsett 2017-06-07 22:21:48 UTC
Created attachment 64091 [details] [review]
Bug 18746: Text_CSV_Various parse failures

While it might be an idea to just delete it,
this patch attempts to catch everything and make it
clear that Text::CSV::Unicode (binary) is the parser
that should be used.
Comment 3 Jonathan Druart 2017-06-08 13:49:10 UTC
Let's give it a try!
Comment 4 Lee Jamison 2017-06-08 16:13:35 UTC
Created attachment 64110 [details] [review]
Bug 18746: Text_CSV_Various parse failures

While it might be an idea to just delete it,
this patch attempts to catch everything and make it
clear that Text::CSV::Unicode (binary) is the parser
that should be used.

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Running 'prove xt/author/Text_CSV_Various.t' passes
Comment 5 Jonathan Druart 2017-06-09 13:25:30 UTC
Created attachment 64130 [details] [review]
Bug 18746: Text_CSV_Various parse failures

While it might be an idea to just delete it,
this patch attempts to catch everything and make it
clear that Text::CSV::Unicode (binary) is the parser
that should be used.

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Running 'prove xt/author/Text_CSV_Various.t' passes

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2017-06-09 13:25:34 UTC
Created attachment 64131 [details] [review]
Bug 18746: Add license and remove diag

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2017-06-09 13:28:13 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-06-12 09:39:05 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 9 Katrin Fischer 2017-06-13 05:55:07 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 10 Mason James 2017-07-31 11:20:18 UTC
Pushed to 16.05.x, for 16.05.15 release